﻿@model JavnaNabava.Model.KonzorcijTvrtka

@{
    ViewData["Title"] = "AddTvrtkaToKonzorcijForm";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj tvrtku u konzorcij</h1>
<p>
    <small>
        Stranica prikazuje formu za dodavanje nove tvrtke u konzorcij. Pošto je ovo N:N veza u tablici, moramo odabrati tvrtku iz postojeće liste tvrtki, a konzorcij
        je automatski odabran na temelju kojeg smo konzorcija ušli u detalje. 
        Na dnu se nalazi gumb za povratak na "Detail".
    </small>
</p>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddTvrtkaToKonzorcijForm">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="FkOibtvrtka" class="control-label"></label>
                <select asp-for="FkOibtvrtka" class ="form-control" asp-items="ViewBag.FkOibtvrtka">
                    <option selected value="" disabled>Odaberite tvrtku</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkOibkonzorcij" class="control-label"></label>
                <select asp-for="FkOibkonzorcij" class ="form-control" asp-items="ViewBag.FkOibkonzorcij"></select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessAddTvrtka" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Details" asp-route-Oib="@Model.FkOibkonzorcij">Natrag na popis članova konzorcija</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
